### Method

# GtkSource Completion remove_provider

#### Declaration [src]

    void
    gtk_source_completion_remove_provider (
      GtkSourceCompletion* self,
      GtkSourceCompletionProvider* provider
    )

#### Description [src]

Removes a `GtkSourceCompletionProvider` previously added with `gtk_source_completion_add_provider()`.

#### Parameters

`provider`

  Type: `GtkSourceCompletionProvider`

  A `GtkSourceCompletionProvider`.

  The data is owned by the caller of the method.